version: "3.8" 
services:
  rtmp:
    build: ./rtmp
    ports:
      - "1935:1935"
    container_name: rtmp_server
    volumes:
      - ./data:/tmp/hls
      - /home/tukanal/ssl/certs:/etc/ssl/certs
      - ./nginx:/etc/nginx/conf.d
  
  nginx:
    image: nginx:alpine
    ports: 
      - "8080:80" # Mapea el puerto 80 del host al puerto 80 del contenedor
      - "8443:443"   # HTTPS en el puerto 8443
    volumes:
      - /home/tukanal/ssl/certs:/etc/ssl/certs
      - ./nginx:/etc/nginx/conf.d
      - ./data:/tmp/hls # Actualiza esta línea para que coincida con la ubicación de tus archivos HLS
    depends_on:
      - rtmp
  
  auth:
    build: ./auth
    container_name: auth_server
